<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  	//choix de la requête équivalente au GET
    

	if( mysql_select_db($base,$connexion) ){


	 $requete_titre = "Select * from freepay_titre where mailcli != '".$_SESSION['mailcli']."' "; //début de requête
					
	  if(!empty($ISIN) and !empty($_POST['courriel'])) {
		$requete_titre .= "and mailcli like '%".$_POST['courriel']."%' 
					and numtitre like '%".$ISIN."%' "; //milieu de requête au choix
	  }else{
		
		if(!empty($ISIN)) {
			$requete_titre .= "and numtitre like '%".$ISIN."%' "; //milieu de requête au choix
		}
		
		if(!empty($_POST['courriel'])){
			$requete_titre .= "and mailcli like '%".$_POST['courriel']."%' "; //milieu de requête au choix
		}
		
		//if(empty($ISIN) and empty($_POST['courriel'])) {} //n'est plus nécessaire

	  }
	  
	  $requete_titre .= "and valeurtitre ".$_POST['signe']." ".$montant." order by valeurtitre asc limit 0,$Nb_ISIN_Select ;"; // La requete fini ici
	  $resultat_titre = mysql_query($requete_titre,$connexion); //connexion de la requete
	  $ligne = @mysql_fetch_assoc($resultat_titre); //affichage des résultats
		
	  if (empty($ligne)){
		
		echo "<h4 class='titre'>Titres à vendre</h4>
		  <p class='erreur'>Aucune référence n'a été trouvée.</p>";
	  
	  }else{

		//Affichage des 5 premiers résultats
		
		if($_POST['courriel'] != $_SESSION['mailcli'])
		{
		  
		  echo '<form action="titre_acheter.php" method="post" onsubmit="return titre_verification();">
			
		  <h4 class="titre">Titres à vendre</h4>';
		  
		  echo '<table width="100%">
			<tr>
				<th>Date</th> <th>ISIN</th> <th>Propriétaire</th>
				  <th>Valeur</th> <th>Devise</th> <th>Votre Profit en %</th>  <th>Selectionner</th> <th></th>
			</tr>';
			

	$n=0;
		
	  do{

			$tdclass = '<td class="historique" 
				onmouseover="this.style.backgroundColor=\'white\'"  
				onmouseout="this.style.backgroundColor=\'#c8d7e3\'" ';
			
			echo '<tr>
			  
			  '.$tdclass.'>'.$ligne["datetitre"].'</td>
				
			  '.$tdclass.'>
				<a href="titre_historique.php?numtitre='.$ligne["numtitre"].'">'.$ligne["numtitre"].'</a></td>
				
			  '.$tdclass.'><a href="'.$AdresseFreePay.'support/mail.php?destinataire='.$ligne["mailcli"].'">'.$ligne["mailcli"].'</a></td>
				
			  <td class="valeur" style="text-align:right" width="20px" onmouseover="this.style.backgroundColor=\'white\'"
				onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >
				<input type="text" style="text-align:right" name="valeurtitre[]" value="'.$ligne["valeurtitre"].'"  id="valeurtitre" /></td>
			  
			  '.$tdclass.'>'.$_SESSION["devise"].'</td>
			  
			  '.$tdclass.' style="text-align:right" width="20px" >
				<input type="text" style="text-align:right" value="100.00" name="tauxprofit[]" id="tauxprofit" /></td>
				
			  '.$tdclass.'>
				<input type="checkbox" name="numtitre'.$n.'" value="'.$ligne["numtitre"].'"></td>
				
			  '.$tdclass.'>
				<input type="submit" value="Acheter" /></td>
				
			  </tr>';
			  
		  $n++;
	  
	  }while($ligne=mysql_fetch_assoc($resultat_titre)); //tant qu'il y a des valeurs ou que cpt soit égal à 5
			
		  echo '</table>
			
		  </form>';
		  
		  //Active le javascript
		  echo '<script type="text/javascript" src="'.$AdresseFreePay.'paiement/titre/titre_verification.js"></script>';
		  
		}else{
		  echo "<p><h4 class='titre'>Titres à vendre</h4></p>
			<p class='erreur'>Aucune référence n'a été trouvée.</p>";
		}
	  }
	 
	}else{
	  echo "<p class='erreur'>La base '<strong>$base</strong>' est introuvable sur <strong>MySQL</strong>. Il faut l'installer.</p>";
	}
  

?>
